Subject: Re: bug#70413: 30.0.50; FR: skip inactive widgets when tabbing

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Apr 2024 18:42:49 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 17 Apr 2024 15:57:56 +0200
> 
> On Wed, 17 Apr 2024 15:04:34 +0300 Eli Zaretskii <[email-masked]> wrote:
> 
> >> +@defopt widget-skip-inactive
> >> +If non-@code{nil}, navigating between widgets by @kbd{M-@key{TAB}}
> >                                                     ^^^^^^^^^^^^^^^^^
> 
> Oops, that was copy-pasta; thanks for catching it.
> 
> > This should probably be @kbd{key{TAB}}.
> 
> Or rather @key{TAB}, right?  That's what's used earlier in the Widget
> manual and IIUC is what (info "(texinfo) @key") recommends.

No, @kbd{@key{TAB}} is correct when you are talking about user typing
something (as opposed to talking about the key TAB).

Texinfo explicitly tells you that @key is for naming a key, not for
describing user input.

>   If non-@code{nil}, skip over inactive widgets when using @key{TAB}
>   (@code{widget-forward}) or @kbd{S-@key{TAB}} (@code{widget-backward},
>   also bound to @kbd{M-@key{TAB}}) to navigate between widgets.
> 
> Is this formulation acceptable?

Yes, thanks.